VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
VisimBox.Renderer.MeshManager Class Reference
Inheritance diagram for VisimBox.Renderer.MeshManager:

List of all members.

## Public Member Functions
Mesh | Add (IGeometry geometry, string name=null, float requality=1)
| Adds mesh created from specified geometry to manager and returns it.
Mesh | CreateNewSphere (Vector3 position, float radius, float quality=0.5f)
abstract Mesh | Create (IVertexArray vertices, int[] indices, PrimitiveTypes type, Type VertexType=null)
| Creates new mesh from vertices and indices.
virtual Mesh | Create (IndexedMesh geometry, Type VertexType=null)
| Creates new mesh from indexed triangles.
virtual Mesh | Create (IndexedQuads geometry, Type VertexType=null)
| Creates new mesh from indexed quads.
virtual Mesh | Create (IndexedLines geometry, Type VertexType=null)
| Creates new mesh from indexed lines.
virtual Mesh | Create (TriangleList geometry, Type VertexType=null)
| Creates new mesh from triangle list.
virtual Mesh | Create (QuadList geometry, Type VertexType=null)
| Creates new mesh from quad list.
virtual Mesh | Create (LineList geometry, Type VertexType=null)
| Creates new mesh from line list.
virtual Mesh | Create (Point3DList geometry, Type VertexType=null)
| Creates new mesh from point list.
virtual Mesh | Create (IGeometry geometry, float requiredQuality=1, Type VertexType=null)
| Creates new mesh from generic geometry (uses default conversion and preferred primitive)

## Member Function Documentation

Mesh VisimBox.Renderer.MeshManager.Add | ( | IGeometry | geometry,
|  | string | name = `null`,
|  | float | requality = `1`
| ) |  |

Adds mesh created from specified geometry to manager and returns it.

Parameters:

  geometry | Requested geometry.
  name | required name (will be made unique)

Returns:
  Finished mesh

virtual Mesh VisimBox.Renderer.MeshManager.Create | ( | IGeometry | geometry,
|  | float | requiredQuality = `1`,
|  | Type | VertexType = `null`
| ) |  | `[virtual]`

Creates new mesh from generic geometry (uses default conversion and preferred primitive)

Parameters:

  geometry | Geometry object
  VertexType | Type of the vertex for the final mesh. If null, either vertex in geometry object will be used (if set), or NormalVertex

Returns:
  New mesh

virtual Mesh VisimBox.Renderer.MeshManager.Create | ( | Point3DList | geometry,
|  | Type | VertexType = `null`
| ) |  | `[virtual]`

Creates new mesh from point list.

Parameters:

  geometry | Geometry object
  VertexType | Required vertex type

Returns:
  New mesh

virtual Mesh VisimBox.Renderer.MeshManager.Create | ( | LineList | geometry,
|  | Type | VertexType = `null`
| ) |  | `[virtual]`

Creates new mesh from line list.

Parameters:

  geometry | Geometry object
  VertexType | Required vertex type

Returns:
  New mesh

virtual Mesh VisimBox.Renderer.MeshManager.Create | ( | IndexedMesh | geometry,
|  | Type | VertexType = `null`
| ) |  | `[virtual]`

Creates new mesh from indexed triangles.

Parameters:

  geometry | Geometry object
  VertexType | Required vertex type

Returns:
  New mesh

virtual Mesh VisimBox.Renderer.MeshManager.Create | ( | TriangleList | geometry,
|  | Type | VertexType = `null`
| ) |  | `[virtual]`

Creates new mesh from triangle list.

Parameters:

  geometry | Geometry object
  VertexType | Required vertex type

Returns:
  New mesh

virtual Mesh VisimBox.Renderer.MeshManager.Create | ( | IndexedLines | geometry,
|  | Type | VertexType = `null`
| ) |  | `[virtual]`

Creates new mesh from indexed lines.

Parameters:

  geometry | Geometry object
  VertexType | Required vertex type

Returns:
  New mesh

virtual Mesh VisimBox.Renderer.MeshManager.Create | ( | IndexedQuads | geometry,
|  | Type | VertexType = `null`
| ) |  | `[virtual]`

Creates new mesh from indexed quads.

Parameters:

  geometry | Geometry object
  VertexType | Required vertex type

Returns:
  New mesh

virtual Mesh VisimBox.Renderer.MeshManager.Create | ( | QuadList | geometry,
|  | Type | VertexType = `null`
| ) |  | `[virtual]`

Creates new mesh from quad list.

Parameters:

  geometry | Geometry object
  VertexType | Required vertex type

Returns:
  New mesh

abstract Mesh VisimBox.Renderer.MeshManager.Create | ( | IVertexArray | vertices,
|  | int[] | indices,
|  | PrimitiveTypes | type,
|  | Type | VertexType = `null`
| ) |  | `[pure virtual]`

Creates new mesh from vertices and indices.

Parameters:

  vertices | Vertex array
  indices | Index array for indexed geo
  type | Type of mesh
  VertexType | Required vertex type

Returns:
  New mesh

Implemented in VisimRenderGL.GLMeshManager.

Mesh VisimBox.Renderer.MeshManager.CreateNewSphere | ( | Vector3 | position,
|  | float | radius,
|  | float | quality = `0.5f`
| ) |  |

The documentation for this class was generated from the following file:

- MeshManager.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events